Skip to main content
GET
List a survey's responses

Authorizations

Authorization
string
header
required

An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.

Path Parameters

survey_id
string
required

The survey's id, from GET /v1/surveys

Query Parameters

campaign_id
integer | null

Only responses to this campaign

Required range: 1 <= x <= 2147483647
limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string | null

next_cursor from the previous page

Response

200 - application/json

Successful Response

data
SurveyResponseRecord · object[]
required
has_more
boolean
default:false
next_cursor
string | null